# ShowCommandHelp (ACF (Core) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: ShowCommandHelp

Package co.aikar.commands

# Class ShowCommandHelp

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
co.aikar.commands.InvalidCommandArgument
co.aikar.commands.ShowCommandHelp

All Implemented Interfaces:
  `Serializable`

public class ShowCommandHelp extends InvalidCommandArgument

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ShowCommandHelp()`
`ShowCommandHelp(boolean search)`
`ShowCommandHelp(List<String> args)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ShowCommandHelp

public ShowCommandHelp()

### ShowCommandHelp

public ShowCommandHelp (boolean search)

### ShowCommandHelp

public ShowCommandHelp (List<String> args)